### Name: spatialLayout
### Title: Calculation of two dimensional coordinates
### Aliases: spatialLayout
### Keywords: dplot

### ** Examples


 value <- rep(c(1,rep(0,49)),10)
 block <- as.integer(gl(10,50))
 col <- rep(c(1:10),50)
 row <- rep(as.integer(gl(5,10)),10)
 sL <- spatialLayout(value=value,row=row,col=col,block=block,nrOfBlocksPerRow=2)
 plot.imageMatrix(sL)
 value <- value[-(201:250)]
 block <- block[-(201:250)]
 col <- col[-(201:250)]
 row <- row[-(201:250)]
 sL <- spatialLayout(value=value,row=row,col=col,block=block,nrOfBlocksPerRow=2,numberOfValues=500)
 plot.imageMatrix(sL)

 value <- 1:200
 block <- rep(1, 200)
 col <- rep(1:20, 10)
 row <- as.integer(gl(10,20))
 sLOne <- spatialLayout(value=value,block=block,col=col,row=row,nrOfBlocksPerRow=1)
        


